%define version   0.1.4
%define release   %mkrel 2

%define scim_version   1.4.1
%define uim_version    0.4.8

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:      scim-uim
Summary:   A wrapper for uim
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL
URL:       http://www.scim-im.org/
Source0:   %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:        %{libname} = %{version}-%{release}
Requires:        scim >= %{scim_version}
Requires:        uim >= %{uim_version}
BuildRequires:   scim-devel >= %{scim_version}
BuildRequires:   libuim-devel >= %{uim_version}
BuildRequires:   automake1.9
BuildRequires:   m17n-lib-devel

%description
A wrapper for uim.


%package -n %{libname}
Summary:    Scim-uim library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-uim library.


%prep
%setup -q
cp /usr/share/automake-1.9/mkinstalldirs .

%build
if [[ ! -x configure ]]; then
# (cjw) do not use bootstrap script directly - it runs "aclocal" and "automake"
  libtoolize --copy --force --automake 
  aclocal-1.9
  autoheader
  automake-1.9 --add-missing --copy --include-deps
  autoconf
fi

%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so


%changelog
* Sun May 07 2006 Stefan van der Eijk <stefan@eijk.nu> 0.1.4-2mdk
- rebuild for sparc

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.4-1mdk
- new release 0.1.4 from UTUMI Hirosi <utuhiro78@yahoo.co.jp>

* Sat Aug 06 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.1.3-2.cvs20050104.7mdk
- fix buildrequires

* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.6mdk
- Rebuild for new scim ( 1.4.0 )

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.5mdk
- Rebuild for new scim ( 1.3.1 )

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.4mdk
- Rebuild for scim 1.3.0

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.3-2.cvs20050104.3mdk
- Rebuild for new glibc

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-2.cvs20050104.2mdk
- rebuild for new scim

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2.cvs20050104.1mdk
- rebuild with scim-1.1.3
- remove unneeded files
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-2.cvs20041229.2mdk
- latest snapshot
- rebuild with scim-1.0.2

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.3-1mdk
- new release
- bump scim buildrequires

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.2-1mdk
- new release

* Tue Jul 06 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-3.cvs20040705.1mdk
- cvs 20040705

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.1-1mdk
- new release

* Sun Jun 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-1mdk
- initial spec for mdk
